Magick++: Magick::DrawableCompositeImage Class Reference

Magick++ 6.9.6

Public Member Functions | List of all members
Magick::DrawableCompositeImage Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableCompositeImage:
[legend]
Collaboration diagram for Magick::DrawableCompositeImage:
[legend]

## Public Member Functions
| DrawableCompositeImage (double x_, double y_, const std::string &filename_)
| DrawableCompositeImage (double x_, double y_, const Image &image_)
| DrawableCompositeImage (double x_, double y_, double width_, double height_, const std::string &filename_)
| DrawableCompositeImage (double x_, double y_, double width_, double height_, const Image &image_)
| DrawableCompositeImage (double x_, double y_, double width_, double height_, const std::string &filename_, CompositeOperator composition_)
| DrawableCompositeImage (double x_, double y_, double width_, double height_, const Image &image_, CompositeOperator composition_)
| DrawableCompositeImage (const DrawableCompositeImage &original_)
| ~DrawableCompositeImage (void)
DrawableCompositeImage & | operator= (const DrawableCompositeImage &original_)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | composition (CompositeOperator composition_)
CompositeOperator | composition (void) const
void | filename (const std::string &image_)
std::string | filename (void) const
void | x (double x_)
double | x (void) const
void | y (double y_)
double | y (void) const
void | width (double width_)
double | width (void) const
void | height (double height_)
double | height (void) const
void | image (const Image &image_)
Magick::Image | image (void) const
void | magick (std::string magick_)
std::string | magick (void)
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 643 of file Drawable.h.

## Constructor & Destructor Documentation

Magick::DrawableCompositeImage::DrawableCompositeImage | ( | double | x_,
|  | double | y_,
|  | const std::string & | filename_
| ) |  |

Definition at line 447 of file Drawable.cpp.

Magick::DrawableCompositeImage::DrawableCompositeImage | ( | double | x_,
|  | double | y_,
|  | const Image & | image_
| ) |  |

Definition at line 460 of file Drawable.cpp.

Magick::DrawableCompositeImage::DrawableCompositeImage | ( | double | x_,
|  | double | y_,
|  | double | width_,
|  | double | height_,
|  | const std::string & | filename_
| ) |  |

Definition at line 423 of file Drawable.cpp.

Magick::DrawableCompositeImage::DrawableCompositeImage | ( | double | x_,
|  | double | y_,
|  | double | width_,
|  | double | height_,
|  | const Image & | image_
| ) |  |

Definition at line 435 of file Drawable.cpp.

Magick::DrawableCompositeImage::DrawableCompositeImage | ( | double | x_,
|  | double | y_,
|  | double | width_,
|  | double | height_,
|  | const std::string & | filename_,
|  | Magick::CompositeOperator | composition_
| ) |  |

Definition at line 397 of file Drawable.cpp.

Magick::DrawableCompositeImage::DrawableCompositeImage | ( | double | x_,
|  | double | y_,
|  | double | width_,
|  | double | height_,
|  | const Image & | image_,
|  | Magick::CompositeOperator | composition_
| ) |  |

Definition at line 410 of file Drawable.cpp.

Magick::DrawableCompositeImage::DrawableCompositeImage | ( | const DrawableCompositeImage & | original_ | ) |

Definition at line 474 of file Drawable.cpp.

Magick::DrawableCompositeImage::~DrawableCompositeImage | ( | void |  | ) |

Definition at line 484 of file Drawable.cpp.

## Member Function Documentation

void Magick::DrawableCompositeImage::composition | ( | CompositeOperator | composition_ | ) |
| inline

Definition at line 686 of file Drawable.h.

CompositeOperator Magick::DrawableCompositeImage::composition | ( | void |  | ) | const
| inline

Definition at line 690 of file Drawable.h.

Magick::DrawableBase * Magick::DrawableCompositeImage::copy | ( |  | ) | const
| virtual

Implements Magick::DrawableBase.

Definition at line 550 of file Drawable.cpp.

void Magick::DrawableCompositeImage::filename | ( | const std::string & | image_ | ) |

Definition at line 506 of file Drawable.cpp.

References Magick::Image.

std::string Magick::DrawableCompositeImage::filename | ( | void |  | ) | const

Definition at line 512 of file Drawable.cpp.

void Magick::DrawableCompositeImage::height | ( | double | height_ | ) |
| inline

Definition at line 725 of file Drawable.h.

double Magick::DrawableCompositeImage::height | ( | void |  | ) | const
| inline

Definition at line 729 of file Drawable.h.

void Magick::DrawableCompositeImage::image | ( | const Image & | image_ | ) |

Definition at line 517 of file Drawable.cpp.

References Magick::Image.

Magick::Image Magick::DrawableCompositeImage::image | ( | void |  | ) | const

Definition at line 523 of file Drawable.cpp.

void Magick::DrawableCompositeImage::magick | ( | std::string | magick_ | ) |

Definition at line 529 of file Drawable.cpp.

std::string Magick::DrawableCompositeImage::magick | ( | void |  | ) |

Definition at line 533 of file Drawable.cpp.

void Magick::DrawableCompositeImage::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Implements Magick::DrawableBase.

Definition at line 539 of file Drawable.cpp.

Magick::DrawableCompositeImage & Magick::DrawableCompositeImage::operator= | ( | const DrawableCompositeImage & | original_ | ) |

Definition at line 490 of file Drawable.cpp.

References Magick::Image.

void Magick::DrawableCompositeImage::width | ( | double | width_ | ) |
| inline

Definition at line 716 of file Drawable.h.

double Magick::DrawableCompositeImage::width | ( | void |  | ) | const
| inline

Definition at line 720 of file Drawable.h.

void Magick::DrawableCompositeImage::x | ( | double | x_ | ) |
| inline

Definition at line 698 of file Drawable.h.

double Magick::DrawableCompositeImage::x | ( | void |  | ) | const
| inline

Definition at line 702 of file Drawable.h.

void Magick::DrawableCompositeImage::y | ( | double | y_ | ) |
| inline

Definition at line 707 of file Drawable.h.

double Magick::DrawableCompositeImage::y | ( | void |  | ) | const
| inline

Definition at line 711 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp